Page MenuHomePhabricator

notification-flow-thanks*, flow-notification-mention* need GENDER support for recipient
Closed, ResolvedPublic

Description

Predicate depends both on gender of the subject and of the object. Affected messages:

MediaWiki:Notification-flow-thanks
MediaWiki:Notification-flow-thanks-flyout
MediaWiki:Notification-flow-thanks-email-batch-body
MediaWiki:Notification-flow-thanks-email-subject

Thorough explanation, with a focus on French (but it's the same e.g. in Italian), at https://translatewiki.net/wiki/Thread:Support/MediaWiki:Notification-flow-thanks/en_and_MediaWiki:Notification-flow-thanks/fr


Version: master
Severity: normal

Details

Reference
bz67966

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:28 AM
bzimport set Reference to bz67966.
bzimport added a subscriber: Unknown Object (MLST).

Sorry, add:

MediaWiki:Flow-notification-mention
MediaWiki:Flow-notification-mention-email-batch-body
MediaWiki:Flow-notification-mention-email-subject

Filed in backlog: https://trello.com/c/6usFVKIa

Thanks for the report!

Change 157670 had a related patch set uploaded by Matthias Mullie:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157670

Change 157671 had a related patch set uploaded by Matthias Mullie:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157671

Change 157671 merged by jenkins-bot:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157671

Change 157670 merged by jenkins-bot:
(bug 67966) Add GENDER support for recipient

https://gerrit.wikimedia.org/r/157670

All patches mentioned in this report were merged - is there more work left to do here (if yes: please reset the bug report status to NEW or ASSIGNED), or can you close this ticket as RESOLVED FIXED?

Ok

"notification-flow-thanks": "[[User:$1|$1]] {{GENDER:$1|thanked}} {{GENDER:$5|you}} for $2 in \"$3\" on [[:$4]].",
"notification-flow-thanks-post-link": "your comment",
"notification-flow-thanks-flyout": "[[User:$1|$1]] {{GENDER:$1|thanked}} {{GENDER:$4|you}} for your comment in \"$2\" on $3.",
"notification-flow-thanks-email-subject": "$1 {{GENDER:$1|thanked}} {{GENDER:$2|you}} for your comment on {{SITENAME}}",
"notification-flow-thanks-email-batch-body": "$1 {{GENDER:$1|thanked}} {{GENDER:$4|you}} for your comment in \"$2\" on $3.",

$ grep low-notification-mention i18n/en.json

"flow-notification-mention": "$1 {{GENDER:$1|mentioned}} {{GENDER:$5|you}} in {{GENDER:$1|his|her|their}} <span class=\"plainlinks\">[$2 post]</span> in \"$3\" on \"$4\".",
"flow-notification-mention-email-subject": "$1 {{GENDER:$1|mentioned}} {{GENDER:$3|you}} on \"$2\"",
"flow-notification-mention-email-batch-body": "$1 {{GENDER:$1|mentioned}} {{GENDER:$4|you}} in {{GENDER:$1|his|her|their}} post in \"$2\" on \"$3\"",
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:34 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 15 2017, 8:09 PM